Skip to content
GridRouterhome

Search

Search providers, capabilities and pages

Docs
API referenceCatalog

Endpoint activity and uptime

GET
/v1/catalog/activity

Per-endpoint uptime (share of calls without a vendor-side failure), p50/p95 latency and volume over time for a capability or provider, plus the top public apps using it.

Query Parameters

capability?string
Match^[a-z]+(\.[a-z0-9_]+)+$
provider?string
Match^[a-z0-9]+(-[a-z0-9]+)*$
days?integer
Range1 <= value <= 90
Default30

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/catalog/activity"
{  "object": "activity",  "source": "live",  "days": 0,  "interval_seconds": 0,  "generated_at": "2019-08-24T14:15:22Z",  "endpoints": [    {      "endpoint_id": "string",      "provider": "string",      "provider_name": "string",      "capability": "string",      "calls": 0,      "hits": 0,      "vendor_errors": 0,      "uptime": 0,      "p50_ms": 0,      "p95_ms": 0,      "series": [        {          "ts": "2019-08-24T14:15:22Z",          "calls": 0,          "hits": 0,          "vendor_errors": 0,          "uptime": 0,          "p50_ms": 0        }      ]    }  ],  "top_apps": [    {      "id": "string",      "name": "string",      "url": "string",      "calls": 0    }  ]}